Bug 11743 - Network don't work, problem with default route
Summary: Network don't work, problem with default route
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iproute   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-30 09:48 UTC by Justo Alonso Achaques
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-17 23:25:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justo Alonso Achaques 2000-05-30 09:48:11 UTC
I have two 3c509B netcards. The module load ok, and with ifconfig
  I see the cards ok.
  Well, I can't ping to the nets (for none of the interfaces), except
  when I delete the default route. When I do, the net work fine!!!.
  I don't understand it.
  # ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:50:DA:76:75:58
          inet addr:10.1.1.161  Bcast:10.1.1.175
          Mask:255.255.255.240
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:121 errors:0 dropped:0 overruns:0 frame:0
          TX packets:105 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:10 Base address:0x1000

eth1      Link encap:Ethernet  HWaddr 00:01:02:15:99:71
          inet addr:192.168.129.65  Bcast:192.168.129.255
          Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1772 errors:0 dropped:0 overruns:0 frame:0
          TX packets:369 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:11 Base address:0x1080

 # netstat -nr
Kernel IP routing table
Destination    Gateway       Genmask         Flags   MSS Window  irtt Iface
192.168.129.65 0.0.0.0       255.255.255.255 UH        0 0          0 eth1
10.1.1.161     0.0.0.0       255.255.255.255 UH        0 0          0 eth0
10.1.1.160     0.0.0.0       255.255.255.240 U         0 0          0 eth0
192.168.129.0  0.0.0.0       255.255.255.0   U         0 0          0 eth1
127.0.0.0      0.0.0.0       255.0.0.0       U         0 0          0 lo
0.0.0.0        10.1.1.174    0.0.0.0         UG        0 0          0 eth0

The route table it's ok, isn't??!!! why!!.. when delete the default route
all work!!!.... umm

Ahhh.. I probe it with two Realtek cards (module rtl8139), and the problem
it's the same.

suggestion?
Thankx in advance, and sorry for my english

Comment 1 Cristian Gafton 2000-08-09 02:45:37 UTC
assigned to nalin

Comment 2 Pekka Savola 2001-02-17 23:25:38 UTC
This is no iproute problem, but a more correct package can't be known.

Please test with 'tcpdump -n' first, then run 'ping -n' to check what's there to be seen
about network.

-n is critical as if DNS servers aren't reachable, network connectivity might appear to be
broken.

Are you using a switch or hub to connect the network cards to?  Are they in autonegotiation mode?  If not,
has the network card settings been changed in /etc/conf.modules?



Comment 3 Phil Knirsch 2002-01-17 10:30:44 UTC
As no more information was provided over a long period i'll close this bug as
'WORKSFORME' as we have working setups with more than 1 ethernet card.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.